## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 6b89e56e24d76f96a89cfd147768e2a3e24eb48a
%global date 20230112
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           rpmdistro-repoquery
Version:        0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Tool to easily do repository queries for different distributions using DNF

License:        MIT
URL:            https://pagure.io/%{name}
Source:         %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch

Requires:       distribution-gpg-keys
Requires:       dnf

%description
This tool utilizes DNF to let you query across several RPM-based Linux
distributions.

Currently, the tool supports the following distributions:

* Fedora
* Mageia
* openSUSE Leap
* openSUSE Tumbleweed
* CentOS (with EPEL)
* CentOS Stream (with EPEL and Hyperscale)
* Red Hat Enterprise Linux Universal Base Image (RHEL UBI)
* SUSE Linux Enterprise Base Container Image (SLE BCI)


%prep
%autosetup -p1 -n %{name}-%{shortcommit}


%build


%install
mkdir -p %{buildroot}%{_bindir}
install -p rpmdistro-{gendnfconf,repoquery} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr distros %{buildroot}%{_datadir}/%{name}/


%files
%license LICENSE
%doc README.md
%{_bindir}/rpmdistro-gendnfconf
%{_bindir}/rpmdistro-repoquery
%{_datadir}/%{name}


%changelog
* Thu Jan 12 2023 Michel Alexandre Salim <salimma@fedoraproject.org> 0^20230112git6b89e56-1
- Switch Hyperscale source repos to the (corrected) metalinks

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@fedoraproject.org> 0^20230112gitae296f4-1
- Update to snapshot from 20230112
- adds Hyperscale repos for CentOS Stream legacy (8) and 9

* Thu Nov 10 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0^20220419git2aff449-1
- Initial Fedora package
